Page MenuHomePhabricator

Recommendations for announcing new project proposals
Closed, ResolvedPublic

Description

Product teams could use guidance on what to include when proposing new projects. Clear communication and information about new projects educations and allows for due diligence on the part of product teams when doing research on an idea.

The outputs for this task will be a set of recommended content that should be included when new products or projects are being proposed by WMF product teams. This will go in the Technical Collaboration Guidelines.

Event Timeline

Keegan created this task.Jun 14 2016, 5:12 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJun 14 2016, 5:12 PM
Keegan updated the task description. (Show Details)Jun 14 2016, 7:13 PM
Keegan triaged this task as Medium priority.Jun 14 2016, 9:31 PM
Keegan renamed this task from Q1FY16/17: Recommendations for announcing new project proposals to Recommendations for announcing new project proposals.Jun 14 2016, 9:33 PM
Qgil added a subscriber: Qgil.Sep 19 2016, 3:56 PM

https://www.mediawiki.org/wiki/Technical_Collaboration_Guideline/Milestone_communication#Proposals cpvers new project proposals, but apparently also new proposals in general (i.e. a new feature in an existing product). I think this is good, but the wording could be clearer (i.e. talking about "proposals" instead of "projects").

When it comes to new project proposals, I think it would be useful to specify a Must-have on documenting the research made user needs, existing alternatives, previous attempts... In software development it is not uncommon to see projects started without a good knowledge of the problem to be solved and what solutions have been tried before.

Other than this, I think this task can be resolved.

Great points, I'll work them in. Thank you for the review.

Keegan closed this task as Resolved.Sep 21 2016, 6:29 PM
Qgil awarded a token.Sep 24 2016, 9:25 AM
Qgil moved this task from August to September on the Community-Relations-Support (Jul-Sep-2016) board.